
QGIS Application - Bug report #19145

Crash when deleting an item from the layout legend

2018-06-08 02:06 AM - Gregor Sanders

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Map Legend

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26975

Description

Attempted to delete an object from the legend just after removing it from the actual map.

(Legend Auto Update status not ticked)

Related issues:

Related to QGIS Application - Bug report # 19169: qGIS crashed after saving, ... Closed 2018-06-11

Associated revisions

Revision 137bc4db - 2018-06-09 06:12 PM - Alessandro Pasotti 

[bugfix] Do not crash when removing a layout legend item

... when the layer was removed from the map, the legend

sync was disabled and the drawind order was enabled ...

Fixes #19145 Crash when deleting an item from the layout legend

History

#1 - 2018-06-09 05:41 PM - Alessandro Pasotti

- Regression? changed from No to Yes

- Assignee set to Alessandro Pasotti

#2 - 2018-06-09 06:15 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/7211

#3 - 2018-06-09 06:43 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|137bc4dbc28f218757077f6a436a0210dc6c8f1f.

2025-04-27 1/2

https://github.com/qgis/QGIS/pull/7211


#4 - 2018-06-13 04:09 PM - Alessandro Pasotti

- Related to Bug report #19169: qGIS crashed after saving, Styling panel opened added

Files

3adb9d13ff3e3f1ac821d7a02cba4a39890f94ef.txt 1.67 KB 2018-06-08 Gregor Sanders

2025-04-27 2/2


